<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$finalidade=$sessao->getVar('finalidade');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 //$maximoHAdobe=297;//isso para vertical
			 //$maximoLAdobe=210;//isso para vertical
			 $maximoHAdobe=210;//isso para horizontal
			 $maximoLAdobe=297;//isso para horizontal

		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 




             $cota1=0;
 
			 $pdf->AddPage();//adicionando a primera pafina 
 
			 //cabecalho
			 	$posicaoCab1=61;$posicaoCab2=245;
	            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	            $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
				$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome



                $cota1=50;
				$pdf->setXY($margemEsquerda,$cota1);
                $hoje=date('Y-m-d');
                $hojeBrasil=date('d/m/Y');
				$pdf->Cell($larguraUtil,5,utf8_decode('Relatório diario de atividades: Data:').$hojeBrasil,1,1,'L',1);//lab nome

                $user = new usuarios();
				$user->extras_select = "WHERE  nivel='OPERADOR' && id_lab=".$idLabo;
                $user->selecionaTudo($user);
				$larguraPadrao=24;
				$pdf->Cell(41,5,'Operador',1,0,'L');//lab nome
				$pdf->Cell($larguraPadrao,5,'Registros',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'Pureza',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'Germinacao',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'GE2',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'PMS',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'TZO',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'EAC',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'FRIO 1',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'FRIO 2',1,0,'C');//lab nome
				$pdf->Cell($larguraPadrao,5,'FRIO 3',1,1,'C');//lab nome
                //vai percorrer os registros dos usuarios
                while ($res = $user->retornaDados()):
                    $nomeCortado=substr($res->nome,0,10);
                    //aqui vai abrir a tabela ficha para ver quem registrou as amostras no dia...
					$userAmostra=new tabelagenerica();
					$userAmostra->extras_select =" select fic_registrador,fic_id from ficha where  fic_dt_entrada = '". $hoje."' and fic_labo=".$idLabo;
					$userAmostra->selecionaCamposEspecial($userAmostra);
                    $contaRegistros=0;  
				    //vai verificar quanto resitros foram feitos hoje
				    while ($resAmostra = $userAmostra->retornaDados()):
					    if(substr($resAmostra->fic_registrador,0,10)==$nomeCortado)$contaRegistros++;
						$amostraLong=$resAmostra->fic_id;
                    endwhile;
				
                    //aqui percorrer a real achando os registros do dia...
					$contaPMS=0;
					$contaPURE=0;
					$contaGERM=0;
					$contaGE2=0;
					$contaTZO=0;
					$contaEAC=0;
					$contaFRIO1=0;
					$contaFRIO2=0;
					$contaFRIO3=0;
	
					$userAmostra=new tabelagenerica();
					//$userAmostra->extras_select =" select rea_teste,rea_operador from rean1,ficha where substr(rea_operador,0,10)='".$nomeCortado."' and rea_ficha=fic_id and  rea_datageralteste = '". $hoje."' and fic_labo=".$idLabo;
					$userAmostra->extras_select =" select rea_teste,rea_operador from rean1,ficha where  rea_ficha=fic_id and  rea_datageralteste = '". $hoje."' and fic_labo=".$idLabo;
					$userAmostra->selecionaCamposEspecial($userAmostra);
				    //vai verificar quanto resitros foram feitos hoje
				    while ($resAmostra = $userAmostra->retornaDados()):
  					   if(substr($resAmostra->rea_operador,0,10)==$nomeCortado):
						    if($resAmostra->rea_teste=='PMS')$contaPMS++;
						    if($resAmostra->rea_teste=='PURE')$contaPURE++;
						    if($resAmostra->rea_teste=='GERM')$contaGERM++;
						    if($resAmostra->rea_teste=='GE2')$contaGE2++;
						    if($resAmostra->rea_teste=='TZO')$contaTZO++;
						    if($resAmostra->rea_teste=='EAC')$contaEAC++;
						    if($resAmostra->rea_teste=='FRI')$contaFRIO1++;
						    if($resAmostra->rea_teste=='FR2')$contaFRIO2++;
						    if($resAmostra->rea_teste=='FR3')$contaFRIO3++;
					   endif;//testa se é p operador 	
                    endwhile;
					
				    $pdf->Cell(41,5,utf8_decode($res->nome),1,0,'L');//NOME OPERADOR
				    $pdf->Cell($larguraPadrao,5,$contaRegistros,1,0,'C');//REGISTRO DE AMOSTRA NO DIA
				    $pdf->Cell($larguraPadrao,5,$contaPURE,1,0,'C');////PUREZA
				    $pdf->Cell($larguraPadrao,5,$contaGERM,1,0,'C');//GERMINACAO
				    $pdf->Cell($larguraPadrao,5,$contaGE2,1,0,'C');//GE2
				    $pdf->Cell($larguraPadrao,5,$contaPMS,1,0,'C');//PMS
				    $pdf->Cell($larguraPadrao,5,$contaTZO,1,0,'C');//TZO
				    $pdf->Cell($larguraPadrao,5,$contaEAC,1,0,'C');//EAC
				    $pdf->Cell($larguraPadrao,5,$contaFRIO1,1,0,'C');//FRI0
				    $pdf->Cell($larguraPadrao,5,$contaFRIO2,1,0,'C');//FRI02
				    $pdf->Cell($larguraPadrao,5,$contaFRIO3,1,1,'C');//FRI03



                endwhile;                





ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
